package org.xyzh.workcase;

import org.apache.dubbo.config.spring.context.annotation.EnableDubbo;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.ComponentScan;

@SpringBootApplication
@EnableDubbo  // 启用 Dubbo 服务
@ComponentScan(basePackages = {
    "org.xyzh.workcase",         // workcase
    "org.xyzh.common"          // 公共模块
})
public class WorkcaseApp {
    private static final Logger logger = LoggerFactory.getLogger(WorkcaseApp.class);
    
    public static void main(String[] args) {
        logger.info("======================== WorkcaseApp 启动中 =========================");
        SpringApplication.run(WorkcaseApp.class, args);
        logger.info("======================== WorkcaseApp 启动成功 =========================");
    }
}